#ifndef BGMNINSTRUMENTSAVPARSER_H
#define BGMNINSTRUMENTSAVPARSER_H

#include <QString>
#include <QStringList>
#include <QRegularExpression>
#include <QMap>
#include <QVariant>
#include "../settingsmanager.h"

#if defined XRDIO
 #define XRDIO_EXPORT Q_DECL_EXPORT
#else
 #define XRDIO_EXPORT Q_DECL_IMPORT
#endif

class XRDIO_EXPORT BgmnInstrumentSavParser
{
public:
    explicit BgmnInstrumentSavParser(const QMap<QString, QString> &par, const QString &header, const QString &fn);
    explicit BgmnInstrumentSavParser(const QString &str, const QString &name);
    explicit BgmnInstrumentSavParser(const QString &file, bool * ok = nullptr);

    bool loadFile(const QString &);
    QString getText();
    bool checkOutputNames(const QString &);
    void fixOutputNames(const QString &);
    QString getHeader();
    QMap<QString, QString> getParameters();

private:
    SettingsManager *settings;
    QString fileName;
    QStringList content;

    void setContent(const QString &);
    void compose(const QMap<QString, QString> &, const QString &);
};

#endif // BGMNINSTRUMENTSAVPARSER_H
