/***************************************************************************
                          nonmodalinfodialog.cpp  -  description
                             -------------------
    begin                : Thu Jun 19 10:43:00 CEST 2016
    copyright            : (C) 2016 by Nicola Doebelin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "nonmodalinfodialog.h"

NonModalInfoDialog::NonModalInfoDialog(QWidget *parent) :
    QDialog(parent)
{
    settings = SettingsManager::getInstance();
    position = settings->value("config/mouseHelpDialogPosition", QPoint()).toPoint();

    layout = new QGridLayout(this);
    textLabel = new QLabel(this);
    closeButton = new QPushButton(tr("&Close"), this);
    horizontalSpacer = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    connect(closeButton, SIGNAL(clicked(bool)), this, SLOT(close()));

    layout->addWidget(textLabel, 0, 0, 1, 2);
    layout->addItem(horizontalSpacer, 1, 0, 1, 1);
    layout->addWidget(closeButton, 1, 1, 1, 1);
    setLayout(layout);
}

void NonModalInfoDialog::setTitle(const QString &s)
{
    setWindowTitle(s);
}

void NonModalInfoDialog::setText(const QString &s)
{
    textLabel->setText(s);
}

void NonModalInfoDialog::showEvent(QShowEvent *)
{
    if (!position.isNull()) move(position);
}

void NonModalInfoDialog::closeEvent(QCloseEvent *)
{
    position = pos();
    settings->setValue("config/mouseHelpDialogPosition", position);
}
