/***************************************************************************
                          prefpagebgmnfavorites.h  -  description
                             -------------------
    begin                : Sun Aug 06 11:00:00 CEST 2017
    copyright            : (C) 2017 by Nicola Doebelin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREFPAGEBGMNFAVORITES_H
#define PREFPAGEBGMNFAVORITES_H

#include "prefpagetemplate.h"
#include "../projectWidget/bgmnrefstructuremanager.h"
#include <QTreeWidgetItem>

namespace Ui {
class PrefPageBGMNFavorites;
}

class PrefPageBGMNFavorites : public PrefPageTemplate
{
    Q_OBJECT

public:
    explicit PrefPageBGMNFavorites(QWidget *parent = 0);
    ~PrefPageBGMNFavorites();

    void saveSettings();
    QString name() {return "BgmnFavorites";}

private:
    Ui::PrefPageBGMNFavorites *ui;
    BgmnRefStructureManager *refStrManager;
    Qt::SortOrder sortOrder;
    int sortCol;
    QMenu *contextMenuHeader;

    void initUi();
    void initSettings();

    void setStrDir();
    void setFavorites();
    void saveFavorites();

private slots:
    void currentChanged(QTreeWidgetItem*,QTreeWidgetItem*);
    void customMenuRequested(QPoint);
    void toggleColumnHidden(QAction *);
};

#endif // PREFPAGEBGMNFAVORITES_H
