/***************************************************************************
                          bgmndiahandlernoarch.h  -  description
                             -------------------
    begin                : Fri Mar 25 10:22:00 CEST 2016
    copyright            : (C) 2016 by Nicola Doebelin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BGMNDIAHANDLER_H
#define BGMNDIAHANDLER_H

#include <QTimer>
#include "../graphWidget/graphdatacontroller.h"
#include "../../../libXrdIO/settingsmanager.h"

class BgmnDiaHandler : public QObject
{
    Q_OBJECT
public:
    explicit BgmnDiaHandler(QObject *parent = 0);

    void init(GraphDataController *, const QString &s, int nLines);
    void reload(const QString &);
    void reload();
    void stop();
    QString monitoredFile() const {return diaFile;}

private:
    GraphDataController *scanControl;
    QTimer delayTimer;
    QString diaFile;
    SettingsManager *settings;
    double delayPerLine;
    int delayInterval;
    int delayIncrement;
    int delayDecrement;
    int pollInterval;
    int increaseSkipTolerance;
    int reduceSkipTolerance;
    int reduceSkips;
    int increaseSkips;
    int maxPartialLinesRead;
    bool hadCompleteRead;
    int activeTimers;

    void incrementDelay(int, int);

private slots:
    void reloadDelayed();
};

#endif // BGMNDIAHANDLER_H
