/***************************************************************************
                          bgmndiahandler2.h  -  description
                             -------------------
    begin                : Fri Sep 10 22:22:00 CEST 2021
    copyright            : (C) 2021 by Nicola Doebelin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BGMNDIAHANDLER2_H
#define BGMNDIAHANDLER2_H

#include <QTimer>
#include <QBasicTimer>
#include <QTime>
#include "../graphWidget/graphdatacontroller.h"
#include "../../../libXrdIO/settingsmanager.h"

class BgmnDiaHandler2 : public QObject
{
    Q_OBJECT
public:
    explicit BgmnDiaHandler2(QObject *parent = 0);

    void init(GraphDataController *, const QString &s, int nLines);
    void reload(const QString &);
    void reload();
    void stop();
    QString monitoredFile() const {return diaFile;}

private:
    GraphDataController *scanControl;
    QBasicTimer pollTimer;
    QString diaFile;
    SettingsManager *settings;
    int pollInterval;
    qint64 lastFileSize;
    int constantSizePolls;
    int currentSizePolls;

    void timerEvent(QTimerEvent *);

private slots:
    void reloadDelayed();
};

#endif // BGMNDIAHANDLER2_H
