# -------------------------------------------------
# Project created by QtCreator 2011-04-14T14:55:51
# -------------------------------------------------
QT += xml widgets printsupport svg sql qml concurrent network
DEFINES  += QT_NO_SSL
TARGET = profex
TEMPLATE = app
!win32:DEFINES += QUAZIP_STATIC
CONFIG += c++11
DESTDIR = $$PWD

#Application version
VERSION_MAJOR = 4
VERSION_MINOR = 3
VERSION_BUILD = 6

DEFINES += "VERSION_MAJOR=$$VERSION_MAJOR" \
           "VERSION_MINOR=$$VERSION_MINOR" \
           "VERSION_BUILD=$$VERSION_BUILD"

#Target version
VERSION = $${VERSION_MAJOR}.$${VERSION_MINOR}.$${VERSION_BUILD}

win32{
    QT += axcontainer
    RC_ICONS = icons/profex4.ico

    QMAKE_LFLAGS_CONSOLE    = /SUBSYSTEM:CONSOLE,5.01
    QMAKE_LFLAGS_WINDOWS    = /SUBSYSTEM:WINDOWS,5.01
}
macx{
    QT += macextras
    ICON = icons/profex4.icns
}

PROFEX_LIBDIR=..
INCLUDEPATH += $$PROFEX_LIBDIR/../zlib $$PROFEX_LIBDIR/../quazip $$PROFEX_LIBDIR/../libXrdIO
unix:!macx {LIBS += -L$$PROFEX_LIBDIR/../libXrdIO -lxrdio}
macx {LIBS += -L../libXrdIO -lxrdio}
win32 {LIBS += -L../libXrdIO -lxrdio4}
LIBS += -L../lib -lquazip
LIBS += -L../lib -lz

include(tools/tools.pri)
include(projectWidget/projectwidget.pri)
include(preferencesDialog/preferencesdialog.pri)
include(3rdparty/3rdparty.pri)
include(projectWidget/searchMatchWidget/searchmatchwidget.pri)
include(electronDensityMapDialog/electrondensitydialog.pri)
include(strucImportDialog/strucimportdialog.pri)
include(searchInFilesDialog/searchinfilesdialog.pri)
include(editInstrumentDialog/editinstrumentdialog.pri)

SOURCES += main.cpp \
    indexprogressdialog.cpp \
    mainwindow.cpp \
    exportgraphdialog.cpp \
    contexthelpdisplay.cpp \
    imageresolutiondialog.cpp \
    presetmenumanager.cpp \
    projectwidgetdock.cpp \
    zoomrangedialog.cpp \
    projectselectdialog.cpp \
    newinstrumentdialog.cpp \
    helpaboutdialog.cpp \
    learnprofiledialog.cpp \
    searchreplacealldialog.cpp \
    datatable.cpp \
    nonmodalinfodialog.cpp \
    cifexportdialog.cpp \
    projectstreewidget.cpp \
    xrdcustomplot.cpp \
    backdropwidget.cpp \
    wavelengthcombobox.cpp \
    wavelengthselectdialog.cpp

HEADERS += mainwindow.h \
    exportgraphdialog.h \
    contexthelpdisplay.h \
    imageresolutiondialog.h \
    indexprogressdialog.h \
    presetmenumanager.h \
    projectwidgetdock.h \
    zoomrangedialog.h \
    projectselectdialog.h \
    newinstrumentdialog.h \
    helpaboutdialog.h \
    learnprofiledialog.h \
    searchreplacealldialog.h \
    datatable.h \
    nonmodalinfodialog.h \
    cifexportdialog.h \
    projectstreewidget.h \
    xrdcustomplot.h \
    backdropwidget.h \
    wavelengthcombobox.h \
    wavelengthselectdialog.h

FORMS += mainwindow.ui \
    exportgraphdialog.ui \
    imageresolutiondialog.ui \
    indexprogressdialog.ui \
    zoomrangedialog.ui \
    projectselectdialog.ui \
    newinstrumentdialog.ui \
    helpaboutdialog.ui \
    addremovephasedialog.ui \
    learnprofiledialog.ui \
    searchreplacealldialog.ui \
    cifexportdialog.ui \
    wavelengthselectdialog.ui

RESOURCES += profex.qrc \
    icons/profex-light/profex-light.qrc \
    icons/profex-light-colored/profex-light-colored.qrc \
    icons/profex-dark/profex-dark.qrc

# end of file

DISTFILES += \
    resources/report.css
