/***************************************************************************
                          coddownloadmanager.h  -  description
                             -------------------
    begin                : Thu Jan 11 18:30:00 CEST 2021
    copyright            : (C) 2021 by Nicola Doebelin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CODDOWNLOADMANAGER_H
#define CODDOWNLOADMANAGER_H

#include <QObject>
#include <QByteArray>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>

struct CifFile {
    QString record;
    QString content;
    CifFile(QString r, QString c) : record(r), content(c) {}
};

class CodDownloadManager : public QObject
{
    Q_OBJECT
public:
    explicit CodDownloadManager(QObject *parent = nullptr);
    QList<CifFile> getCifData() const;

    void setRecords(const QStringList &);
    void startCifDownload(const QString &);

private:
    QString codUrl;
    QStringList records;
    QString currentRecord;
    QNetworkAccessManager cifWebCtrl;
    QList<CifFile> cifDownloadedData;
    int numberOfFiles;
    bool wasCancelled;

signals:
    void cifDownloadComplete();
    void progress(int);

public slots:
    void cancel();

private slots:
    void cifDownloaded(QNetworkReply* pReply);
};

#endif // CODDOWNLOADMANAGER_H
